<?php
define('PROTECTOR', 1);

include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
$textl='Профессии';
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

if(isset($_GET['uv'])){
if($_GET['uv']=='no'){
echo'<div class="main"><div class="block_zero center"><font color="red">Не хватает монет!</font></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="profi.php?"><span style="color: #999;"><< Назад</span></a></div></div></div>';
include($path.'files/down.php');exit;
}
}

$shahter=$set['shahter']/5;

echo'<div class="main"><div class="block_zero center"><span style="color: #9CC;">Изучи и прокачай профессию!</div><div class="mini-line"></div><div class="block_zero center">Профессия - один из навыков игрока.<br>Каждая профессия имеет свою возможность.</div><div class="dot-line"></div><div class="block_zero"><img class="float-left" src="image/prof/shahter.png" width="60" height="60" style="margin-left:10px; margin-right:10px;" alt="*">Шахтер (<img src="image/icon/level.png" alt ="*"> '.$shahter.' ур.)<br>Позволяет добывать на руднике больше ресурсов!<br>';

$lvl=$set['shahter'];
if($lvl==0){$kol=1000;}
if($lvl==5){$kol=2000;}
if($lvl==10){$kol=3000;}
if($lvl==15){$kol=4000;}
if($lvl==20){$kol=5000;}
if($lvl==25){$kol=6000;}
if($lvl==30){$kol=7000;}
if($lvl==35){$kol=8000;}
if($lvl==40){$kol=9000;}
if($lvl==45){$kol=10000;}
if($lvl==50){$kol=FALSE;}

$exp=$set['shahter']*2;

if(empty($_GET['uv'])){
if($set['shahter']>=50){
echo'<font color="silver">У вас максимальный уровень!</font>';
}
if($lvl==0){
echo'<br><div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="profi.php?uv=go"><span class="end"><span class="label">Изучить за <img src="image/icon/almaz.png" alt="*"> '.$kol.'</center></span></span></a>';
}elseif($lvl==50){
echo'';
}else{
echo'<br><div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="profi.php?uv=go"><span class="end"><span class="label">Повысить за <img src="image/icon/almaz.png" alt="*"> '.$kol.'</center></span></span></a>';
}
}
elseif($_GET['uv']=='go'){
if($set['shahter']>=50){
echo'<font color="silver">У вас максимальный уровень!</font>';
}
elseif($udata['almaz']<$kol){
header('Location: profi.php?uv=no');exit;
}else{
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'$kol' WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `shahter` = `shahter`+'5' WHERE `usr` = '$log'");
header('Location: profi.php');exit;
}
}
echo'</div><div class="dot-line"></div>';
//----------
$kuznec=$set['kuznec']/5;
echo'<div class="block_zero"><img class="float-left" src="image/prof/kuznec.png" width="60" height="60" style="margin-left:10px; margin-right:10px;" alt="*">Кузнец (<img src="image/icon/level.png" alt ="*"> '.$kuznec.' ур.)<br>Кузнец хорошо ремонтирует и затачивает вещи.<br>';

$lvl=$set['kuznec'];
if($lvl==0){$kol=1000;}
if($lvl==5){$kol=2000;}
if($lvl==10){$kol=3000;}
if($lvl==15){$kol=4000;}
if($lvl==20){$kol=5000;}
if($lvl==25){$kol=6000;}
if($lvl==30){$kol=7000;}
if($lvl==35){$kol=8000;}
if($lvl==40){$kol=9000;}
if($lvl==45){$kol=10000;}
if($lvl==50){$kol=FALSE;}

$exp=$set['kuznec']*2;


if(empty($_GET['uv'])){
if($set['kuznec']>=50){
echo'<font color="silver">У вас максимальный уровень!</font>';
}
if($lvl==0){
echo'<br><div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="profi.php?uv=go1"><span class="end"><span class="label">Изучить за <img src="image/icon/almaz.png" alt="*"> '.$kol.'</center></span></span></a>';
}elseif($lvl==50){
echo'';
}else{
echo'<br><div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="profi.php?uv=go1"><span class="end"><span class="label">Повысить за <img src="image/icon/almaz.png" alt="*"> '.$kol.'</center></span></span></a>';
}
}
elseif($_GET['uv']=='go1'){
if($set['kuznec']>=50){
echo'<font color="silver">У вас максимальный уровень!</font>';
}
elseif($udata['almaz']<$kol){
header('Location: profi.php?uv=no');exit;
}else{
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'$kol' WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `kuznec` = `kuznec`+'5' WHERE `usr` = '$log'");
header('Location: profi.php');exit;
}
}
echo'</div><div class="dot-line"></div>';
//----------
$razb=$set['razb']/5;
echo'<div class="block_zero"><img class="float-left" src="image/prof/razb.png" width="60" height="60" style="margin-left:10px; margin-right:10px;" alt="*">Дуэлянт (<img src="image/icon/level.png" alt ="*"> '.$razb.' ур.)<br>Дуэлянт получает больше монет и опыта на Арене и в Дуэлях.<br>';

$lvl=$set['razb'];
if($lvl==0){$kol=1000;}
if($lvl==5){$kol=2000;}
if($lvl==10){$kol=3000;}
if($lvl==15){$kol=4000;}
if($lvl==20){$kol=5000;}
if($lvl==25){$kol=6000;}
if($lvl==30){$kol=7000;}
if($lvl==35){$kol=8000;}
if($lvl==40){$kol=9000;}
if($lvl==45){$kol=10000;}
if($lvl==50){$kol=FALSE;}

$exp=$set['razb']*2;

if(empty($_GET['uv'])){
if($set['razb']>=50){
echo'<font color="silver">У вас максимальный уровень!</font>';
}
if($lvl==0){
echo'<br><div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="profi.php?uv=go2"><span class="end"><span class="label">Изучить за <img src="image/icon/almaz.png" alt="*"> '.$kol.'</center></span></span></a>';
}elseif($lvl==50){
echo'';
}else{
echo'<br><div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="profi.php?uv=go2"><span class="end"><span class="label">Повысить за <img src="image/icon/almaz.png" alt="*"> '.$kol.'</center></span></span></a>';
}
}
elseif($_GET['uv']=='go2'){
if($set['razb']>=50){
echo'<font color="silver">У вас максимальный уровень!</font>';
}
elseif($udata['almaz']<$kol){
header('Location: profi.php?uv=no');exit;
}else{
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'$kol' WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `razb` = `razb`+'5', `invmax` = `invmax`+'10', `arenainv` = `arenainv`+'10' WHERE `usr` = '$log'");
header('Location: profi.php');exit;
}
}

echo'</div></div>';
include($path.'files/down.php');
?>